## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicError

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class SequenceEnumerator

Class Serializer

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmNode

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class XPathExecutable

    public class XPathExecutable

implements object

  An `XPathExecutable` represents the compiled form of an XPath expression. To evaluate the expression, it must first be loaded to form an `XPathSelector`.

  An `XPathExecutable` is immutable, and therefore thread-safe. It is simplest to load a new `XPathSelector` each time the expression is to be evaluated. However, the `XPathSelector` is serially reusable within a single thread.

  An `XPathExecutable` is created by using one of the `Compile` methods on the `XPathCompiler` class.

Method Summary
`XPathSelector` | `Load()` Load the compiled XPath expression to prepare it for execution.

Method Detail

### Load

    public XPathSelector Load()

  Load the compiled XPath expression to prepare it for execution.

  returns
    An `XPathSelector`. The returned `XPathSelector` can be used to set up the dynamic context, and then to evaluate the expression.